/*
 * Photo Image Print System
 * Copyright (C) SEIKO EPSON CORPORATION 2001-2004.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON KOWA Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON KOWA PUBLIC LICENCE and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON KOWA PUBLIC LICENCE.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __OPT_RSC__
#define __OPT_RSC__

#include "pipsDef.h"

/* Option Entry */
char *inkEntry[] = {
  "COLOR", "MONO",
  NULL
};

char *binEntry[] = {
  "AUTO",
  NULL
};

char *mediaSizeEntry[] = {
  "A4", "B5", "A5", "LT", "LGL", "EXE", "HLT", "A6",
  "INDEX5", "INDEX8", "ENV10", "ENVDL", "ENVC6", "ENV5X8",
  "PHOTO", "4X6FULL", "PP100", "PP200", "PANORAM",
  NULL
};

char *mediaSizeEntry_R[] = {
  NULL
};

char *mediaSizeEntry_TR[] = {
  NULL
};

char *mediaSizeEntry_NMA[] = {
  NULL
};

char *resolutionEntry[] = {
  "120", "360", "720",
  NULL
};

char *mediaTypeEntry[] = {
  "PLAIN", "FINE", "SFINE", "GPAPER", "PMPHOTO", "PMMATT",
  "OHP", "GFILM",
  NULL
};

char *colorModeEntry[] = {
  "AUTO", "PHOTO", "GRAPH", "NONE",
  NULL
};

char *halftoneEntry[] = {
  "ED",
  NULL
};

char *levelEntry[] = {
  "DRAFT", "STD", "FINE", "SFINE", "PHOTO", "SPHOTO",
  NULL
};

char *multiPageEntry[] = {
	"1", "2", "4",
	NULL
};


/* pModeCol	:	Color
   pModeMono	:	Monochrome

   MediaNumber	:	see pipsDef.h
   Inmput	:	1:120/180, 2:360, 4:720
   Halftone	:	<or> 1:ED 2:DB
   HighSpeed	:	0:OFF 1:ON 2:ON/OFF
*/
short pModeCol[] = {
  21,
/*mediaName	MediaNumber	Halftone
     			Input		HighSpeed */
/*PLAIN*/       0,      1,    1,      1,      0x000,
                0,      2,    1,      2,      0x010,
                0,      2,    1,      2,      0x020,
                0,      6,    1,      2,      0x330,
                0,      4,    1,      2,      0x400,

/*COATED360*/   1,      2,    1,      0,      0x010,

/*COATED720*/   2,      6,    1,      0,      0x110,
                2,      6,    1,      2,      0x220,
                2,      4,    1,      2,      0x400,

/*PM_MATT*/     23,     6,    1,      0,      0x110,
                23,     6,    1,      2,      0x220,
                23,     4,    1,      2,      0x400,

/*GLOSSYPAPER*/ 5,      6,    1,      0,      0x110,
                5,      6,    1,      2,      0x220,
                5,      4,    1,      2,      0x400,
                5,      4,    1,      0,      0x500,

/*PM_PHOTO*/    18,     4,    1,      2,      0x400,
                18,     4,    1,      0,      0x500,

/*GLOSSYFILM*/  4,      4,    1,      2,      0x400,
                4,      4,    1,      0,      0x500,

/*OHP*/         3,      2,    1,      0,      0x010
};

short pModeMono[] = {
  21,
/*mediaName	MediaNumber	Halftone
     			Input		HighSpeed */
/*PLAIN*/       0,      1,    1,      1,      0x000,
                0,      2,    1,      2,      0x010,
                0,      2,    1,      2,      0x020,
                0,      6,    1,      2,      0x330,
                0,      4,    1,      2,      0x400,

/*COATED360*/   1,      2,    1,      0,      0x010,

/*COATED720*/   2,      6,    1,      0,      0x110,
                2,      6,    1,      2,      0x220,
                2,      4,    1,      2,      0x400,

/*PM_MATT*/     23,     6,    1,      0,      0x110,
                23,     6,    1,      2,      0x220,
                23,     4,    1,      2,      0x400,

/*GLOSSYPAPER*/ 5,      6,    1,      0,      0x110,
                5,      6,    1,      2,      0x220,
                5,      4,    1,      2,      0x400,
                5,      4,    1,      0,      0x500,

/*PM_PHOTO*/    18,     4,    1,      2,      0x400,
                18,     4,    1,      0,      0x500,

/*GLOSSYFILM*/  4,      4,    1,      2,      0x400,
                4,      4,    1,      0,      0x500,

/*OHP*/         3,      2,    1,      0,      0x010
};


#endif /* __OPT_RSC__ */


